System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Interface | System.AttributeTargets.All)

The is a hint to the Designer. The Designer will ignore this attribute for components that have a UI presence. It can only be applied to classes.

The is most useful when you have a control that accepts child components. For example, the control's node items should not appear in the component tray because they are drawn by the control.

marks a component's visibility. If is present, a visual designer can show this component on a designer.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Creates a new set to the default value of false.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Creates a new with the property set to the given value in .

  The value that the property will be set against.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignTimeVisibleAttribute To be added

  The default visibility which is Yes.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added To be added: an object of type 'bool' To be added The object to compare.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Gets a value indicating if this instance is equal to the value.

  true, if this instance is equal to the value; otherwise, false.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignTimeVisibleAttribute To be added

  Marks a component as not visible in a visual designer.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets or sets whether the component should be shown at design time.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignTimeVisibleAttribute To be added

  Marks a component as visible in a visual designer.